Chromium Code Reviews
Help | Chromium Project | Sign in
(476)

Issue 1594039: Trim whitespace and check for unsafe scheme before adding a url in context me... (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 years, 2 months ago by inferno
Modified:
4 years, 1 month ago
Reviewers:
Peter Kasting
CC:
chromium-reviews, ben+cc_chromium.org, brettw-cc_chromium.org, lcamtuf
Visibility:
Public.

Description

Trim whitespace and check for unsafe scheme before adding a url in context menu "Go To" item. BUG=41778 TEST=None Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=45062

Patch Set 1 #

Total comments: 5

Patch Set 2 : '' #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+10 lines, -3 lines) Patch
M chrome/browser/tab_contents/render_view_context_menu.cc View 1 3 chunks +10 lines, -3 lines 1 comment Download
Commit: CQ not working?

Messages

Total messages: 7 (0 generated)
inferno
Peter, can you please review this fix.
5 years, 2 months ago (2010-04-17 05:40:22 UTC) #1
Peter Kasting
http://codereview.chromium.org/1594039/diff/1/2 File chrome/browser/tab_contents/render_view_context_menu.cc (right): http://codereview.chromium.org/1594039/diff/1/2#newcode447 chrome/browser/tab_contents/render_view_context_menu.cc:447: TrimWhitespace(params_.selection_text, TRIM_ALL, &params_.selection_text); Do this above the check for ...
5 years, 2 months ago (2010-04-17 17:05:09 UTC) #2
inferno
http://codereview.chromium.org/1594039/diff/1/2 File chrome/browser/tab_contents/render_view_context_menu.cc (right): http://codereview.chromium.org/1594039/diff/1/2#newcode447 chrome/browser/tab_contents/render_view_context_menu.cc:447: TrimWhitespace(params_.selection_text, TRIM_ALL, &params_.selection_text); On 2010/04/17 17:05:09, Peter Kasting wrote: ...
5 years, 2 months ago (2010-04-17 17:30:40 UTC) #3
Peter Kasting
http://codereview.chromium.org/1594039/diff/1/2 File chrome/browser/tab_contents/render_view_context_menu.cc (right): http://codereview.chromium.org/1594039/diff/1/2#newcode447 chrome/browser/tab_contents/render_view_context_menu.cc:447: TrimWhitespace(params_.selection_text, TRIM_ALL, &params_.selection_text); On 2010/04/17 17:30:40, inferno wrote: > ...
5 years, 2 months ago (2010-04-17 23:25:24 UTC) #4
inferno
Peter, i misread your previous comment. sorry about that. i fixed the code.
5 years, 2 months ago (2010-04-18 02:54:46 UTC) #5
Peter Kasting
LGTM. Sorry for the delay, your reply to me got spam-trapped (bad Gmail!), so I ...
5 years, 2 months ago (2010-04-20 18:25:31 UTC) #6
inferno
5 years, 2 months ago (2010-04-20 19:23:48 UTC) #7
Thanks Peter. I removed the that blank line before committing.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1f9106d